import { GeneralParameters } from './idin-protocol';
export interface XMLNode {
    _text: string;
}
export interface XMLIssuer {
    'ns3:issuerID': XMLNode;
    'ns3:issuerName': XMLNode;
}
export interface XMLCountry {
    'ns3:countryNames': XMLNode;
    'ns3:Issuer': XMLIssuer | XMLIssuer[];
}
export interface Issuer {
    issuerID: string;
    issuerName: string;
}
export default function getDirectoryResponse({ merchantId, merchantSubId, routingCert, routingEndpoint, privateKey, publicKey, publicKeyFingerprint }: GeneralParameters): Promise<{
    createDateTimestamp: any;
    Acquirer: {
        acquirerID: any;
    };
    Directory: {
        directoryDateTimestamp: any;
        Country: {
            countryNames: string;
            Issuer: Issuer[];
        }[];
    };
}>;
