export interface GeneralParameters {
    merchantId: string;
    merchantSubId: string;
    routingEndpoint: string;
    routingCert: string;
    publicKey: string;
    publicKeyFingerprint: string;
    privateKey: string;
}
export interface VerifySignatureParams {
    signedXml: string;
    routingCert: string;
}
interface MyKeyInfoI {
    getKey?(): string;
    getKeyInfo?(): string;
}
export declare class MyKeyInfoGetKey implements MyKeyInfoI {
    private k;
    constructor(k: string);
    getKey(): string;
}
export declare class MyKeyInfoGetKeyInfo implements MyKeyInfoI {
    private k;
    constructor(k: string);
    getKeyInfo(): string;
}
export declare function verifySignature({ routingCert, signedXml }: VerifySignatureParams): Promise<string>;
export interface SignXmlParams {
    xml: string;
    publicKey: string;
    publicKeyFingerprint: string;
    privateKey: string;
}
export declare function signXml({ xml, publicKey, publicKeyFingerprint, privateKey }: SignXmlParams): any;
export interface VerifyOwnSignatureParams {
    res: string;
    xml: string;
    publicKey: string;
}
export declare function verifyOwnSignature({ res, xml, publicKey }: VerifyOwnSignatureParams): void;
export {};
