"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchResponse = void 0;
const assert_1 = require("assert");
const await_to_js_1 = require("await-to-js");
const node_fetch_1 = require("node-fetch");
const idin_protocol_1 = require("./idin-protocol");
async function fetchResponse({ payload, routingCert, routingEndpoint }) {
    const config = {
        method: 'POST',
        body: payload,
    };
    const [responseError, responseData] = await await_to_js_1.default(node_fetch_1.default(routingEndpoint, config));
    assert_1.ifError(responseError);
    return idin_protocol_1.verifySignature({ signedXml: await responseData.text(), routingCert });
}
exports.fetchResponse = fetchResponse;
//# sourceMappingURL=idin-request.js.map