import { TransactionParams } from './transaction-protocol';
import { StatusParameters } from './status-protocol';
import { GeneralParameters } from './idin-protocol';
export default class NodeIdin {
    private config;
    constructor(config: GeneralParameters);
    getDirectory(): Promise<{
        createDateTimestamp: any;
        Acquirer: {
            acquirerID: any;
        };
        Directory: {
            directoryDateTimestamp: any;
            Country: {
                countryNames: string;
                Issuer: import("./directory-protocol").Issuer[];
            }[];
        };
    }>;
    getTransaction(transactionConfig: TransactionParams): Promise<{
        createDateTimestamp: any;
        Error: any;
        Acquirer?: undefined;
        Issuer?: undefined;
        Transaction?: undefined;
    } | {
        createDateTimestamp: any;
        Acquirer: {
            acquirerID: any;
        };
        Issuer: {
            issuerAuthenticationURL: any;
        };
        Transaction: {
            transactionID: any;
            transactionCreateDateTimestamp: any;
        };
        Error?: undefined;
    }>;
    getStatus(statusConfig: StatusParameters): Promise<{
        createDateTimestamp: any;
        Acquirer: {
            acquirerID: any;
        };
        Transaction: {
            transactionID: any;
            status: any;
            statusDateTimestamp: any;
            Response: {};
        };
    } | {
        createDateTimestamp: any;
        Error: any;
    }>;
}
